import request from '@/utils/request'

export function getAreaPage(data) {
  return request({
    url: '/base-sales-territory/page',
    method: 'get',
    params: data
  })
}

export function getAreaList(data) {
  return request({
    url: '/base-sales-territory/list',
    method: 'post',
    data: data
  })
}

export function getAreaById(data) {
  return request({
    url: '/base-sales-territory/listById',
    method: 'post',
    data: data
  })
}

export function addArea(data) {
  return request({
    url: '/base-sales-territory/add',
    method: 'post',
    data: data
  })
}

export function editArea(data) {
  return request({
    url: '/base-sales-territory/edit',
    method: 'post',
    data: data
  })
}

export function delArea(data) {
  return request({
    url: '/base-sales-territory/delete',
    method: 'post',
    data: data
  })
}
